TASK_CLEAR_JOBCTL_PE(9)

NAME
task_clear_jobctl_pending - clear jobctl pending bits

SYNOPSIS

void task_clear_jobctl_pending(struct task_struct * task, unsigned int mask);

ARGUMENTS

task
    target task

mask
    pending bits to clear

DESCRIPTION

Clear mask from task->jobctl. mask must be subset of JOBCTL_PENDING_MASK. If JOBCTL_STOP_PENDING is being cleared, other STOP bits are cleared together.

If clearing of mask leaves no stop or trap pending, this function calls task_clear_jobctl_trapping.

CONTEXT

Must be called with task->sighand->siglock held.

COPYRIGHT